/* $Id: metdb.h 19 2009-02-01 19:07:45Z gbv $ */
/***************************************************************************
 *   Copyright (C) 2009 by Guillermo Ballester Valor                       *
 *   gbv@oxixares.com                                                      *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/
/*!
  \file metdb.h
  \brief include file with interface routines to deal with Berkeley DB
*/
#ifndef METDB_H
#define METDB_H

#include <stdlib.h>
#include <string.h>
#include <stdio.h>
#include <time.h>
#include <db.h>
#include <libintl.h>

int close_db(DB *dbp, DB_ENV *env);
int open_db( DB **dbp, DB_ENV **env, uint32_t flags, char *envp, char *db);
int open_env(DB_ENV **env, char *envd);
int put_record_db(DBT *key, DBT *data, DB *dbp, uint32_t flags);


#endif
