/* $Id: wwsr_metcal.c 27 2009-03-06 06:21:13Z gbv $ */
/***************************************************************************
 *   Copyright (C) 2009 by Guillermo Ballester Valor   *
 *   gbv@oxixares.com   *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/
/*!
  \file wwsr_metcal.c
  \brief file to deal with library libmetcal
*/
#include "wwsr.h"

int NOCAL;
struct cal_pol CALti, CALto, CALhi, CALho, CALp, CALw, CALr;

struct station_cal CALWWSR = {7, {{"ti", &CALti}, {"to", &CALto}, {"hi", &CALhi}, {"ho", &CALho},
                                  {"p", &CALp}, {"w", &CALw}, {"r", &CALr}}};


double value( double x, struct cal_pol *c)
{
    if (NOCAL)
      return x;
    else 
      return calibrated( x, c); 
} 
